#
# This is properties file used for bootstrap Teiid embedded for loading
#

# name of the process that uniquely identifies this process( if ignored one will be assigned)
processName=localhost

# Path to the directory where the VDBs are located
dqp.deploydir=./deploy/

#Extensions directory - where the Connector Binding's classpath jar files are loaded.
#Use of this property is an implicit declaration that each Connector Binding has its own Class Loader.
dqp.extensions=./extensions/

#Path to instance specific temporary information for caching, buffering, and transactions
dqp.workdir=./work

#Jars to load, which will be available to all services: UDFs, command logging, etc.
#dqp.extension.CommonClasspath=extensionjar:x.jar,extensionjar:y.jar

#Location of the UDF model
#dqp.userDefinedFunctionsFile=extensionjar:FunctionDefinition.xmi

#
# Processor settings
# 

#Process pool maximum thread count. (default 64)
process.maxThreads=64

#Query processor time slice, in milliseconds. (default 2000)
process.timeSliceInMilli=2000

#Plan debug messages allowed. see option debug.
process.optionDebugAllowed=true

#Maximum allowed fetch size, set via JDBC. User requested value ignored above this value. (default 20000)
process.maxRowsFetchSize=20000

# The max lob chunk size transferred each time when processing blobs, clobs(10KB default) 
process.lobChunkSizeInKB=10

#
# BufferManager Settings
#

#The max size of a batch sent between connector and query service. Should be even multiple of processorBatchSize. (default 2000)
dqp.buffer.connectorBatchSize=2000

#The max size of a batch sent internally within the query processor. Should be <= the connectorBatchSize. (default 2000)
dqp.buffer.processorBatchSize=2000

#Defines whether to use disk buffering or not. (default true)
dqp.buffer.useDisk=true

#The numeric memory size in MB, to be used before disk buffering kicks in (default 64)
dqp.buffer.memory=64

#
# Cache Settings
#

#The maximum number of query plans that are cached. Note: this is a memory based cache. (default 250) 
PreparedPlanCache.maxCount=250

#Maximum number of cached lookup tables. Note: this is a memory based cache and should be set to a value of at least 10 to accomidate system usage. (default 200)
CodeTables.maxCount=200

#Maximum number of records in a single lookup table (default 10000)
CodeTables.maxRowsPerTable=10000

#Maximum number of records in all lookup tables (default 200000)
CodeTables.maxRows=200000

#Denotes whether or not result set caching is enabled. (default false)
ResultSetCache.enabled=false

#The maximum size in MB the result set cache will be allowed to grow to before objects are removed. 0 indicates no limit. (default 50)
#ResultSetCache.maxSizeInMB=50

#The maximum time a result set will be kept in cache before being automatically cleared. 0 indicates no limit. (default 3600000)
#ResultSetCache.maxAgeInSeconds=3600000

#Defines whether caching is restricted to a specific session ('session') or a specific VDB version ('vdb'). (default vdb)	
#ResultSetCache.scope=vdb

#
# Session Service Settings
#

#Maximum number of sessions allowed by the system (default 5000)
session.maxSessions=5000

#Max allowed time before the session is terminated by the system (default unlimited, default is 86400000 - 24hrs)
#session.expirationTimeInMilli=86400000

#
# Membership Service Settings (handles the authentication of the user)
#

membership.enabled=true
membership.superUser=admin
membership.superUserPassword=teiid
#Membership Domain Order (comma separated list of domains to authenticate user. ex: file, ldap)
membership.DomainOrder=file,TheDap
#Allow connections only from specified hosts
#membership.allowedHosts=


#
# Authorization Service Settings (membership must be enabled to check any authorizations)
#
auth.check_entitlements=true
auth.adminRolesFile=./deploy/admin-roles.properties

#
# Socket transport
#

# Setting to enable the use of a per connection 128 bit AES key 
# to encrypt sensitive client server traffic (default true) 
client.encryption.enabled=true

server.portNumber=31000
server.bindAddress=localhost

#Max number of threads dedicated to Admin and initial request processing (default 15)
server.maxSocketThreads=15

#SO_RCVBUF size, 0 indicates that system default should be used (default 0)
server.inputBufferSize=0

#SO_SNDBUF size, 0 indicates that system default should be used (default 0)
server.outputBufferSize=0

# SSL Settings
#Setting to enable the use of SSL for socket connections.  Note all client must use the mms protocol when enabled. (default false)
ssl.enabled=false
#ssl.protocol=SSLv3

#SSL Authentication Mode, may be one of 1-way, 2-way, or annonymous (default 1-way)
#ssl.authenticationMode=1-way
#ssl.keymanagementalgorithm=
#ssl.keystore.filename=ssl.keystore
#ssl.keystore.Password=changeme
#ssl.keystoretype=JKS
#ssl.truststore.filename=teiid.truststore
#ssl.truststore.Password=changeme

#
# Transaction Settings
#

# Setting to enable the use of transactions for XA, local, 
# and request scope transactions (default true) 
xa.enabled=true

# default transaction time out in seconds (default 120)
xa.max_timeout=120

# Setting to enable recovery scans (default true)
xa.enable_recovery=true

# JBoss transactions status port (default 0 - selects an available port)
xa.txnstatus_port=0
